# Flutter Sticky Grouped List View

A flutter `ListView` with grouping, pull to refresh and sticky header support.

This package inspired from [grouped_list](https://pub.dev/packages/grouped_list), thanks to [Dimitrios Begnis](https://github.com/Dimibe).

<br>
<br>
<div style="text-align:center">
    <img src="https://raw.githubusercontent.com/hamed-rezaee/flutter_sticky_grouped_list_view/master/assets/demo.gif" width="300">
</div>
<br>
<br>

### Features

- Grouping Items
- Pull to refresh
- Sticky Header

  <br>

## Getting Started

Add the package to your pubspec.yaml:

```yaml
flutter_sticky_grouped_list_view: 0.1.0
```

In your dart file, import the library:

```Dart
import 'package:flutter_sticky_grouped_list_view/sticky_grouped_list_view.dart';
```

Instead of using a `ListView` create a `GroupedListView` Widget:

```Dart
StickyGroupedListView<dynamic, String> getGroupedListView() =>
    StickyGroupedListView<dynamic, String>(
      elements: elements,
      hasStickyHeader: true,
      hasRefreshIndicator: true,
      groupBy: (dynamic element) => element['group'],
      groupBuilder: (String value) => buildGroup(value),
      itemBuilder: (BuildContext context, dynamic element) => buildItem(element),
      separator: buildSeparator(),
      onRefresh: () async {},
    );
```

for more detail see example project.
